# Copyright 2021 Dell Inc. or its subsidiaries. All Rights Reserved.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
---
##All variables except mapping_file_path are mandatory##

###default###

# Path to directory hosting ansible config file (ansible.cfg file)
# Default value is /etc/ansible
# This directory is on the host running ansible, if ansible is installed using dnf
# If ansible is installed using pip, this path should be set
ansible_conf_file_path: /etc/ansible

# This variable is used to enable ethernet switch configuration
# It accepts boolean values "true" or "false". 
# By default its value is "false".
# If ethernet switch support is needed set this to "true"
ethernet_switch_support: false

# This variable is used to enable infiniband switch configuration
# It accepts boolean values "true" or "false". 
# By default its value is "false".
# If infiniband configuration is needed set this to "true"
ib_switch_support: false

# This variable is used to enable powervault configuration
# It accepts boolean values "true" or "false". 
# By default its value is "false".
# If powervault configuration is needed set this to "true"
powervault_support: false

# The nic/ethernet card that will be connected to the public internet.
# Default value of nic is eno2
public_nic: "eno2"

# Kubernetes pod network CIDR for appliance k8s network
# Make sure this value does not overlap with any of the host networks.
# Default value is "192.168.0.0/16"
appliance_k8s_pod_net_cidr: "192.168.0.0/16"

### Usage: provision_idrac, network_ib, network_ethernet, powervault_me4 ###

# The trap destination IP address is the IP address of the SNMP Server where the trap will be sent
# If this variable is left blank, it means SNMP will be disabled
# Provide a valid SNMP server IP
snmp_trap_destination: ""

# Provide the snmp community name needed
# By default this is set to "public"
snmp_community_name: "public"

### Usage: webui_awx ###

# Organization name that is created in AWX.
# The default value is “DellEMC”
awx_organization: "DellEMC"

### Usage: provision_cobbler, provision_idrac ###

# This variable is used to set node provisioning method
# It accepts values: idrac, pxe
# Default value is "idrac"
# If provisioning needs to be done through cobbler, set it to "pxe"
# If idrac license is not present, provisioning mode will be set to "pxe"
provision_method: "idrac"

# This is the timezone that will be set during provisioning of OS
# Available timezones are provided in control_plane/common/files/timezone.txt
# Default timezone will be "GMT"
# Some of the other available timezones are EST,CET,MST,CST6CDT,PST8PDT
timezone: "GMT"

# This is the language that will be set during provisioning of the OS
# Default language supported is "en-US"
language: "en-US"

# This is the path where the user has to place the iso image that needs to be provisioned in target nodes.
# The iso file should be CentOS7-2009-minimal edition.
# Other iso files are not supported.
# Mandatory value required
iso_file_path: ""

### Usage: control_plane_device ###

# The nic/ethernet card that needs to be connected to provision 
# the fabric, idrac and powervault.
# This nic will be configured by Omnia for the DHCP server.
# Default value of nic is eno1
mngmnt_network_nic: "eno1"

# The dhcp range for assigning the IPv4 address
# Example: 172.17.0.1
# Mandatory value required
mngmnt_network_dhcp_start_range: ""
mngmnt_network_dhcp_end_range: ""

# The mapping file consists of the MAC address and its respective IP address and hostname.
# The format of mapping file should be MAC,hostname,IP and must be a CSV file.
# Eg: xx:yy:zz:aa:bb,server,172.17.0.5
# A template for mapping file exists in omnia/examples and is named as mapping_file.csv.
# This depicts the path where user has kept the mapping file for DHCP configurations.
mngmnt_mapping_file_path: ""

### Usage: provision_cobbler ###

# The nic/ethernet card that needs to be connected to provision the OS of bare metal servers
# This nic will be configured by Omnia for the DHCP server.
# Default value of nic is eno3
host_network_nic: "eno3"

# The dhcp range for assigning the IPv4 address
# Example: 172.17.0.1
# Mandatory value required
host_network_dhcp_start_range: ""
host_network_dhcp_end_range: ""

# The mapping file consists of the MAC address and its respective IP address and hostname.
# The format of mapping file should be MAC,hostname,IP and must be a CSV file.
# Eg: xx:yy:zz:aa:bb,server,172.17.0.5
# A template for mapping file exists in omnia/examples and is named as mapping_file.csv.
# This depicts the path where user has kept the mapping file for DHCP configurations.
host_mapping_file_path: ""

### Usage: control_plane_ib ###

# The nic/ethernet card that needs to be connected to configure infiniband switch
# This nic will be configured by Omnia for the DHCP server.
# Default value of nic is ib0
ib_network_nic: "ib0"

# The dhcp range for assigning the IPv4 address
# Example: 172.17.0.1
ib_network_dhcp_start_range: ""
ib_network_dhcp_end_range: ""

# The mapping file consists of the MAC address and its respective IP address and hostname.
# The format of mapping file should be MAC,hostname,IP and must be a CSV file.
# Eg: xx:yy:zz:aa:bb,server,172.17.0.5
# A template for mapping file exists in omnia/examples and is named as mapping_file.csv.
# This depicts the path where user has kept the mapping file for DHCP configurations.
ib_mapping_file_path: ""
